package be.iminds.ilabt.jfed.scanner;

import java.security.cert.X509Certificate;
import java.util.List;

/**
 * ScanFeedback: request user feedback when needed,
 */
public interface ScanFeedback {
    boolean trustNonSelfSignedCert(List<X509Certificate> certificateList);
    boolean trustSelfSignedCert(List<X509Certificate> certificateList);
    boolean trustAlias(String urlHost, String certSubject);
}
